libnvme(2)

NAME
enum nvme_mi_dtyp - Data Structure Type field.

SYNOPSIS
enum nvme_mi_dtyp {
nvme_mi_dtyp_subsys_info ,
nvme_mi_dtyp_port_info ,
nvme_mi_dtyp_ctrl_list ,
nvme_mi_dtyp_ctrl_info ,
nvme_mi_dtyp_opt_cmd_support ,
nvme_mi_dtyp_meb_support

};

Constants

nvme_mi_dtyp_subsys_info
    NVM Subsystem Information

nvme_mi_dtyp_port_info
    Port information

nvme_mi_dtyp_ctrl_list
    Controller List

nvme_mi_dtyp_ctrl_info
    Controller Information

nvme_mi_dtyp_opt_cmd_support
    Optionally Supported Command List

nvme_mi_dtyp_meb_support
    Management Endpoint Buffer Command Support List

Description
Data Structure Type field for Read NVMe-MI Data Structure command, used to indicate the particular structure to query from the endpoint.